CCP im Webhosting 8000 SE Paket

  • Hallo,

    ich brauche dringend Hilfe.


    Ich verwende ein Webhosting 8000 SE Paket, auf der Sub-Domain läuft PHP 7.3.10 und habe Wordpress mit dem Plugin FooGallery installiert. Wenn ich eine Gallery erstellen möchte, erhalte ich folgende Fehlermeldung. Da ich noch nie Probleme mit GD Image Library und Erweiterungenhatte, weiß ich nicht, was ich da machen kann. Ich habe es immer als Standard-Installation angesehen.



    Warnung bei Vorschaubild-Erzeugung!

    Es trat ein Problem beim Erzeugen von Vorschaubildern für deine Galerie auf. Bitte prüfe, ob dein Hosting-Anbieter die „GD Image Library“-Erweiterung installiert und aktiviert hat.

    Wenn Vorschaubilder nicht erzeugt werden können, werden stattdessen nicht zugeschnittene Bilder in voller Größe verwendet. Dies führt zu langsamen Ladezeiten und merkwürdig aussehenden Vorschaubildern.

  • Versuche mal eine andere PHP-Version (bspw. 7.2/7.2.x) zu benutzen. Anderweitig beim Support anfragen, ob die Extension hinzugefügt werden kann.


    Edit: Ein bisschen falsch gelesen, ich dachte es geht um eine PHP-Erweiterung. Eventuell kann ein Wechsel der PHP-Version trotzdem helfen, wenn der 7.3er-Version von netcup/Plesk eine Extension fehlt, die deine WP-Erweiterung benötigt.

  • Bei meinem Webhosting mit PHP 7.3.10 ist gd installiert. Du kannst ja mal eine Datei (bspw. test.php) im Document Root anlegen und

    PHP
    1. <?php
    2. phpinfo();

    hineinschreiben. Dann diese Seite/Datei mal im Browser aufrufen und nachschauen, ob du so einen Block wie im Dateianhang drinnen hast.

    Anschließend nicht vergessen, die Datei wieder zu löschen!

  • Also normalerweise ist das (GD Library) installiert. In all meinen Webhostings con 1000 bis 8000. Schau dir halt mal die phpinfo-Seite an, entweder im Plesk bei den PHP-Einstellungen oder in einem selbst geschriebenen Mini-PHP-File die Funktion phpinfo() aufrufen. Ist auch die Frage wie gut die Fehlermeldung ist, vielleicht fehlt ja auch nur die Unterstützung für das Bildformat, in dem dein Plugin die Vorschaubilder erstellen will.


    Also wenn das auf einem Webhosting-Server in irgendeiner PHP-Version nicht installiert ist, dann ist das zu 99,9% keine Absicht. Wenn das also wirklich bei phpinfo() nicht auftaucht, würde ich das an deiner Stelle dem Support melden.

  • Ich habe auf einem Webhosting 8000 auch eine ältere CMS-Version laufen, die auch noch die GD-Library verwendet. Funktioniert problemlos. Ich fürchte die Fehlermeldung ist falsch, was nicht heisst, dass nicht irgendwas vielleicht wirklich nicht funktioniert. Aber die GDlib ist jedenfalls vorhanden. Aber hmm, bei dir im Bild fehlt der WebP-Support, bei mir ist der in der gleichen PHP-Version enabled. Vielleicht will das Plugin WebP-Vorschaubilder erzeugen.

  • Das Plugin "FooGallery" erzeugt normalerweise jpg-Vorschaubilder. Ich habe mal alle anderen Plugins deaktiviert und das Template gewechselt, das hat auch nicht geholfen. Für heute mache ich erst einmal Feierabend, morgen geht's dann weiter.

    Danke aber schon mal für die Tipps

  • Immerhin zeigt der Unterschied in den unterstützten Bildformaten meines Erachtens, dass die einzelnen Webhosting-Server durchaus nicht alle komplett gleich ausgestattet /konfiguriert sind, was doch eigentlich wünschenswert wäre. Und das nicht nur aus Kundensicht ...

  • So, nach einigen Stunden von getesteten Foto-Gallerien komme ich zu dem Ergebnis, dass FooGallery wohl das Problem ist. Alle anderen Gallerien liefen problemlos. Ich werde dann eine andere Foto-Gallerie verwenden und somit das Problem lösen.

    - NextGEN Gallery (getestet OK)

    - Photo Gallery (getestet OK)

    - Photo Gallery by Supsystic (getestet OK)

    - Envira Photo Gallery (getestet OK)

    - Modula Image Gallery (getestet OK)